Update MCP server details using XanoScript
Update MCP server details using XanoScript
Authentication: required
PUT
/
workspace
/
{workspace_id}
/
mcp_server
/
{mcp_server_id}
Update MCP server details using XanoScript
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/mcp_server/{mcp_server_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'mcp_server foo {
description = "test"
canonical = "custom"
tags = ["test"]
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/mcp_server/{mcp_server_id}"
payload = "mcp_server foo {\n description = \"test\"\n canonical = \"custom\"\n tags = [\"test\"]\n}\n"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/x-xanoscript"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/x-xanoscript'},
body: 'mcp_server foo {\n description = "test"\n canonical = "custom"\n tags = ["test"]\n}\n'
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/mcp_server/{mcp_server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "MCP Server Test",
"description": "My MCP Server description",
"branch": "v1",
"tag": [
"example tag"
],
"xanoscript": {
"status": "ok",
"value": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
text/x-xanoscript
The body is of type string.
Example:
"mcp_server foo {\n description = \"test\"\n canonical = \"custom\"\n tags = [\"test\"]\n}\n"
Response
Success!
Show child attributes
Show child attributes
Related topics
Xano MCP ToolsUpdate an MCP server trigger using XanoScriptUpdate agent details using XanoScriptWas this page helpful?
Update MCP server details using XanoScript
